<div ng-controller="PaginatedTable as pgTbl" class="paginated-table" id="paginated-table-container-{{dataset.id}}">
  <div class="controls">
    <div class="btn-group">
      <button class="btn btn-default" ng-disabled="!pgTbl.hasPageDown(10)" ng-mousedown="pgTbl.pageDown(10)"
              uib-tooltip="Go ten pages backward" tooltip-placement="top" tooltip-append-to-body="true"><i class="fa fa-backward"></i><sub style="padding-left:2px;">10</sub></button>
      <button class="btn btn-default" ng-disabled="!pgTbl.hasPageDown(1)" ng-mousedown="pgTbl.pageDown(1)"
              uib-tooltip="Go one page backward" tooltip-placement="top" tooltip-append-to-body="true"><i class="fa fa-play fa-flip-horizontal"></i></button>
    </div>
    <div class="btn-group"> 
      <button class="btn btn-default" ng-disabled="!pgTbl.hasPageUp(1)" ng-mousedown="pgTbl.pageUp(1)"
              uib-tooltip="Go one page forward" tooltip-placement="top" tooltip-append-to-body="true"><i class="fa fa-play"></i></button>
      <button class="btn btn-default" ng-disabled="!pgTbl.hasPageUp(10)" ng-mousedown="pgTbl.pageUp(10)"
              uib-tooltip="Go ten pages forward" tooltip-placement="top" tooltip-append-to-body="true"><sub style="padding-right:2px;">10</sub><i class="fa fa-forward"></i></button>
    </div>
    <button class="btn btn-default" ng-mousedown="pgTbl.rotate()"
            uib-tooltip="Flip the table (swap columns and rows)" tooltip-placement="top">
      Flip
      <i class="fa fa-rotate-right" style="font-size: 0.7em;vertical-align: top;"></i>
      <i class="fa fa-table" style="font-size: 90%;" ng-class="{'fa-rotate-270': pgTbl.currentTemplate === 'vertical'}"></i>
    </button>
    <button class="btn btn-default" ng-mousedown="pgTbl.columnSelectorVisible = !pgTbl.columnSelectorVisible" ng-class="{'column-selector-visible': pgTbl.columnSelectorVisible}"
            uib-tooltip="Customize table display" tooltip-placement="top">
      Customize
      <i class="fa fa-pencil-square-o"></i> <i class="fa" ng-class="{'fa-chevron-up': pgTbl.columnSelectorVisible,'fa-chevron-down': !pgTbl.columnSelectorVisible}"></i>
    </button>
    <div class="btn btn-xs" style="display:inline-block; padding: 0px 12px;">
      <div>
        <ng-pluralize count="pgTbl.size" when="{'one': 'Gene', 'other': 'Genes'}"></ng-pluralize>
        {{pgTbl.from + 1}} {{pgTbl.size > 1 ? 'to ' + (pgTbl.total < pgTbl.from + pgTbl.size ? pgTbl.total : pgTbl.from + pgTbl.size) : ''}} ({{pgTbl.total| number:0}} total)
      </div>
      <div>
        Page {{pgTbl.from / pgTbl.size + 1| number: 0}} of {{pgTbl.total / pgTbl.size| number:0}}
      </div>
    </div>
    <i ng-show="pgTbl.loading" class="fa fa-fw fa-spinner fa-pulse"></i>
  </div>
  <div class="row column-selector" ng-show="pgTbl.columnSelectorVisible">
    <div class="col-sm-7">
      <div class="panel panel-default">
        <div class="panel-heading">
          <h3 class="panel-title">Available fields</h3>
        </div>
        <div class="panel-body">
          <div>
            Presets:
            <button ng-repeat="columnPreset in pgTbl.columnPresets" type="button" class="btn btn-default btn-xs" ng-mousedown="pgTbl.applyVisibleColumnsPreset(columnPreset)" style="margin-right: 5px;">
              <i class="fa fa-columns"></i> {{columnPreset}}
            </button>
          </div>
          <div class="alert alert-success" role="alert" style="margin-top: 5px;">
            Please select one of the field collection presets above <i class="fa fa-arrow-up"></i> <u>or</u> <b>drag</b> the desired fields from the list below <i class="fa fa-arrow-down"></i> over to the list of visible fields on the right. <i class="fa fa-arrow-right"></i>
          </div>
          <div class="available-columns">
            <ul class="available-columns-pool" as-sortable ng-model="pgTbl.availableColumns">
              <li ng-repeat="column in pgTbl.availableColumns" as-sortable-item style="display:inline-block;" class="alert-info">
                <div as-sortable-item-handle class="no-text-select">
                  {{::pgTbl.getColumnLabel(column)}}
                </div>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>
    <div class="col-sm-5">
      <div class="panel panel-default">
        <div class="panel-heading">
          <h3 class="panel-title">Visible fields</h3>
        </div>
        <div class="panel-body">
          <div class="visible-columns">
            <ul class="visible-columns-pool" as-sortable ng-model="pgTbl.visibleColumns">
              <li ng-repeat="column in pgTbl.visibleColumns" as-sortable-item class="alert-info">
                <div as-sortable-item-handle class="no-text-select">
                  {{::pgTbl.getColumnLabel(column)}}
                </div>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>
    <div class="col-sm-12">
      <div class="panel panel-default">
        <div class="panel-body">
          <button class="btn btn-default btn-block" ng-mousedown="pgTbl.columnSelectorVisible = !pgTbl.columnSelectorVisible">
            Close
          </button>
        </div>
      </div>
    </div>
  </div>
  <div ng-include="pgTbl.templates[pgTbl.currentTemplate]"
       ng-class="{'scroll': pgTbl.currentTemplate === 'horizontal', 'stale-content': pgTbl.loading}"
       ng-show="pgTbl.hits.length > 0">
  </div>
  <div class="alert alert-info" ng-show="pgTbl.hits.length === 0">
    No genes match the current filter settings.
  </div>
</div>